<%
   String connStr=request.getParameter("connStr");
   if (connStr==null) {
     connStr=(String)session.getValue("connStr");
   } else {
     session.putValue("connStr",connStr);
   }
   if (connStr==null) { %>
<jsp:forward page="../setconn.jsp" />
<%
   }
%>
<%@ taglib uri="/WEB-INF/sqltaglib.tld" prefix="jml" %>
   <HTML> 
       <HEAD> 
           <TITLE>A simple tag with open, query and close </TITLE> 
       </HEAD>
       <BODY BGCOLOR="#FFFFFF"> 
            <HR>
            <jml:dbOpen URL="<%= connStr %>"  
             user="scott" password="tiger" connId="con1">
            </jml:dbOpen>
            <jml:dbQuery connId="con1">
               select * from EMP
            </jml:dbQuery>
            <jml:dbClose connId="con1" />
            <HR> 
       </BODY> 
  </HTML> 

